Bug 439662 - pk-install-file doesn't install multiple packages
pk-install-file doesn't install multiple packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
: 440109 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 22:07 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 13:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2008-03-29 22:07:06 EDT
If I have two files that need each other for install (such as foo.rpm,
foo-devel.rpm) I would expect to be able to click on them both to install them.
 package-kit won't try to install the two together to resolve dependencies.
Comment 1 Andrew Farris 2008-03-31 12:00:36 EDT
I also see this, and I'm guessing it stems from the problem that packagekit
tries to do everything as separate transactions, for instance in the add/remove
software window (very annoying btw, building a transaction and doing it at once
hopefully gets done soon).

I cannot get this to work by either command line (pk-install-package) or through
nautilus context menu (open using package installer).
Comment 2 Richard Hughes 2008-04-07 05:28:39 EDT
Do you mean if you install the file /home/hughsie/Desktop/moo.rpm then the
depsolve should use /home/hughsie/Desktop/*.rpm to resolve deps? I'm not sure if
that what is the user is expecting.
Comment 3 Andrew Farris 2008-04-07 05:39:56 EDT
If you run:  pk-install-package ./moo*.rpm it should correctly depsolve from the matching packages; 
currently it will fail.  The user does expect that to work, just like right clicking two packages at once in 
nautilus should figure out that deps are provided between them.
Comment 4 Richard Hughes 2008-04-20 20:40:40 EDT
*** Bug 440109 has been marked as a duplicate of this bug. ***
Comment 5 Grosswiler Roger 2008-05-07 01:37:44 EDT
I see this as a problem in usability. Most of the users are aware of more than
one package (e.g. additional packages for NetworkManager, Livna RPMs etc.) and
want to check them ONCE. 

Even, having for each package a complete transaction set
(choosing-downloading-testing-installing-rebuilding list) takes too much time.

This is not positive marketing.

Roger
Comment 6 Richard Hughes 2008-05-07 06:30:37 EDT
>This is not positive marketing.

It's already on the planned features page: http://www.packagekit.org/pk-help.html

I would appreciate help with PackageKit development -- as I'm sure you'll
appreciate, building a whole new packaging infrastructure and community takes a
little bit longer than 6 months, and rants on bugzillas do not make me feel any
better.
Comment 7 Richard Hughes 2008-05-07 13:08:53 EDT
commit 0bd4ac015345da185271679a0c5e64019f5b2231
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed May 7 18:03:50 2008 +0100

    gpk-install-local-file can now install more than one file at once. fixes
rh#439662

If you now select more than one local rpm file and press enter, then both are
tried to be installed in the same transaction, and thus can be depsolved. I'm
just working on doing the same thing for the gpk-install-package-name tool.

I broke lots of API this morning to do this, and so this feature is only
available from git master from tomorrow morning. The other features are on
schedule to be completed in the planned features help page.

Jonathan, okay to close this bug as NEXTRELEASE?
Comment 8 Bug Zapper 2008-05-14 04:25:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Brennan Ashton 2008-06-07 21:41:34 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Andrew Farris 2008-06-07 22:02:46 EDT
Brennan, I think closed NEXTRELEASE is more appropriate, whether Jonathan gets back to comment or not.  
The problem was easily reproducable at the time it is just was not going to be fixed for F9 release.  Using 
rpm or yum from the commandline still works as expected, so this is just simply a feature not yet finished 
in PackageKit to replace those CLI methods of installation.
Comment 11 Robin Norwood 2008-06-09 13:06:40 EDT
Yes, this should be available in the next update to PK (the 0.2.x series), which
we hope to have in a few weeks.

Note You need to log in before you can comment on or make changes to this bug.